Description

I'm not sure what % of geoprocessing workflow cases this covers, but I believe the following multiple clicks (steps 2-4) could be

compressed into 1 click:

1. Menu: select [geoprocessing step foo (e.g. Buffer)

2. Dialog: Fill out foo form - click "OK" 

3. Dialog: Would you like to add to TOC - click "Yes" (duh! not sure why "No" is the default here... maybe I'm a noob & don't trust things

enough)

4. Dialog: Fill out foo form - click "Close" (duh! not sure why "Close" is the default here... again, what's the % of the time this is the case?)

Maybe a third button on the foo form - e.g. "Add to map and close" or something like that (wordy, I know...) would be good. The existing 3

click workflow is just too.... clicky?, especially with having to browse to rename a shapefile every time...

Filed against Lisboa 1.8

History

#1 - 2012-10-06 02:21 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2015-12-13 07:28 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

in QGIS 2.13 master (and probably in earlier versions), there is a "Add result to canvas" checkbox in the Buffer fTools. So the third point doesn't exist

anymore.

If you want to go faster, just use Processing tools (QGIS -> Vector Geometry Tools -> Fixed distance Buffer) combined with the Processing option "Keep

dialog open after running an algorithm" unchecked (which is the default) and you will just have to fill the dialog and click Ok button to have a ready to go

layer result.

So, I think we can close this bug as the behavior you described already exists in QGIS and because fTools will be transfered to Processing (Processing

tools will be used when using Vector/Raster menus).

Can you confirm ?

#3 - 2016-01-15 01:49 PM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

2024-05-18 1/2



- Status changed from Feedback to Closed

Hello, bug triage...

I am closing this feature request for lack of feedback and because it seems to be implemented at least in QGIS master.

Feel free to reopen it if I have missed something !
